What is the minimum requirement for both phone and iOS?

For the best experience, we recommend using Quick Peek with iPhones running on iOS 8 or later. 

Submit a request
Powered by Zendesk